#version 300 es
//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.


in vec3 VertexPosition;
in vec3 VertexNormal;
in vec2 VertexTexCoord;

uniform mat4 ModelMatrix;
uniform mat4 MVP;               // Projection * ModelView
uniform mat3 NormalMatrix;      // This should be the transpose inverse of the model view mat if there is scale.

out vec3 Position;
out vec3 Normal;
out vec2 TexCoord;

void main()
{
  Normal = mat3(ModelMatrix) * VertexNormal;
  TexCoord = VertexTexCoord;
  Position = vec3(ModelMatrix * vec4(VertexPosition, 1.0));
  gl_Position = MVP * vec4(VertexPosition, 1.0);
}