//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.

#version 100
#extension GL_OES_standard_derivatives : enable

precision mediump float;

varying vec4 v_position;

uniform sampler2D Tex;

void main(void)
{
  float depth = v_position.z / v_position.w;
  depth = depth * 0.5 + 0.5;
  float m2 = depth * depth;
  
  float dx = dFdx(depth);
  float dy = dFdy(depth);
  m2 += 0.25 * (dx*dx + dy*dy);
  
  gl_FragColor = vec4(depth, m2, 0.0, 0.0);
}