//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.

#version 100

precision mediump float;

uniform float sofarFrame;
uniform float totalFrame;

varying vec2 TexCoord;

float distance = 0.8;

float vibe(float sofarFrame)
{
  float baseIntensity = 0.5;
  float curFrame = mod(sofarFrame, totalFrame);
  return baseIntensity + sin(curFrame / totalFrame * 3.14) * (1.0 - baseIntensity);
}

void main(void)
{
  float d2 = distance;
  float d1 = 1.0 - d2;
  float change = TexCoord.x;
  float intensity = 1.0;
  float dif = 0.0;
  if(change <= d1) {
    dif = d1 - change;
  }
  if(change >= d2) {
    dif = change - d2;
  }
  intensity = 1.0 - dif / d1;
  intensity *= vibe(sofarFrame);
  gl_FragColor = vec4(0.9, 0.9, 0.0, intensity);
}