//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.

#version 100

attribute vec3 VertexPosition;
attribute vec3 VertexNormal;

uniform mat4 ModelViewMatrix;
uniform mat4 MVP;               // Projection * ModelView
uniform mat3 NormalMatrix;

varying vec3 Position;
varying vec3 Normal;

void main()
{
  Normal = normalize(NormalMatrix * VertexNormal);
  Position = vec3(ModelViewMatrix * vec4(VertexPosition, 1.0));
  gl_Position = MVP * vec4(VertexPosition, 1.0);
}
