//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// The shader works for instance drawing.

#version 100

attribute vec3 VertexPosition;

uniform float PointSize;
uniform mat4 MVP;


void main()
{
  gl_PointSize = PointSize;
  gl_Position = MVP * vec4(VertexPosition, 1.0);
  // Make it far away in depth so it can be overdraw by any content. 
  // On CPP side, this also need to draw at last to achieve occluded effect.
  gl_Position.z = 0.99 * gl_Position.w; // since later stage will divide w so we want to keep z as far as possible.
}