//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.

#version 100

precision mediump float;

varying vec2 TexCoord;

uniform float IntensityThreshold;
uniform float Time;
uniform float Duration;
uniform vec3 Color;
uniform lowp sampler2D Tex;

void main()
{
  float intensity = texture2D(Tex, TexCoord).r;
  if (intensity < IntensityThreshold) discard;
  float alpha = 0.0;
  if (TexCoord.x < Time && TexCoord.x > Time - Duration)
    alpha = 1.0 - (Time - TexCoord.x) / Duration;
  gl_FragColor = vec4(Color, alpha);
}