//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
#version 100

attribute vec3 VertexPosition;
attribute vec3 VertexNormal;

uniform mat4 MVP;
uniform mat4 ModelMatrix;

void main()
{
  // Calcualte scale from the model matrix.
  // we only need one axis since all direction scale should be the same.
  float modelScale = max(length(vec3(ModelMatrix[0][0], ModelMatrix[0][1], ModelMatrix[0][2])), 1.0);
  float lineWidthBase = 6.0;
  float lineWidth = lineWidthBase / modelScale;
  gl_Position = MVP * vec4(VertexPosition + normalize(VertexNormal) * lineWidth, 1.0);
}