//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.

#version 100

attribute vec3 VertexPosition;
attribute vec2 VertexTexCoord;

uniform mat4 ModelViewMatrix;
uniform mat4 MVP;               // Projection * ModelView

varying vec3 Position;
varying vec2 TexCoord;

void main()
{
  TexCoord = VertexTexCoord;
  Position = vec3(ModelViewMatrix * vec4(VertexPosition, 1.0));
  gl_Position = MVP * vec4(VertexPosition, 1.0);
}