//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.

#version 100

precision mediump float;

varying vec2 TexCoord;

uniform lowp sampler2D Tex;
uniform lowp sampler2D TexUV;

vec4 yuv2rgb(float y, float u, float v)
{
  float uu = u - 0.5;
  float vv = v - 0.5;
  float r = y +              1.402 * vv;
  float g = y - 0.344 * uu - 0.714 * vv;
  float b = y + 1.772 * uu;
  return vec4(r, g, b, 1.0);
}

void main()
{
  lowp vec4 texColor = yuv2rgb(texture2D(Tex, TexCoord).r, texture2D(TexUV, TexCoord).r, texture2D(TexUV, TexCoord).g);
  if (texColor.a < 0.01) discard;
  gl_FragColor = texColor;
}