//Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.

#version 100

attribute vec3 VertexPosition;
attribute vec2 VertexTexCoord;

uniform mat4 ModelViewMatrix;
uniform mat4 MVP;               // Projection * ModelView
uniform vec2 Scale;
uniform vec2 Offset;

varying vec2 TexCoord;

void main()
{
  TexCoord = VertexTexCoord;
  vec2 pos = VertexPosition.xy;
  pos = Scale*pos;
  pos = pos + Offset;
  gl_Position = vec4(pos, 1.0, 1.0);
}
